Retrieve a list of members in a segment by using the Data 360 Segment Members endpoint in Connect API.
Prerequisite
Before you send a request to Connect API, obtain a bearer token. For more information, see Connect to REST-based APIs.
Send the Request
To retrieve a list of segment members, send a GET request to the /services/data/{apiVersion}/ssot/segments/SEGMENT_API_NAME/members endpoint. Replace SEGMENT_API_NAME with the API of the segment that you want to retrieve a list of members for.
GET /services/data/{apiVersion}/ssot/segments/SEGMENT_API_NAME/members HTTP/1.1
Host: YOUR_SUBDOMAIN.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN
If the request is successful, the response body contains a list of segment members.
{
"data": [
{
"deltaType": "new",
"id": "1175a1b5c71d8cc748449c309bd57965",
"snapshotType": "F",
"timestamp": "2024-01-23T18:25:02.924Z",
"versionStamp": "2024-01-22T18:29:11.841Z"
},
...
],
"endTime": "2024-01-24T19:57:24.000Z",
"filter": "Delta_Type__c in ( new , existing )",
"limit": 100,
"offSet": 0,
"orderBy": "Id__c asc",
"rowCount": 15,
"startTime": "2024-01-24T19:57:23.000Z",
"totalCount": 15
}
You can filter, sort, and limit the results by adding query parameters. For information and code examples, see getSegmentMembers.